function hasBuildingWithTag(tag)
	 local playerFacade = demandManager("VillageManager"):getViewingPlayerFacade()
	 return playerFacade:getVillageFacade():getCountOfEntitiesWithTag(tag) > 0
end

local buildMenuArrows = false

function mission:intro()

        showDialogueRight({ characterKey = "moppet", textKey = "mission_grandEggHunt_01_130" })
        showDialogueLeft({ characterKey = "edwyn", textKey = "mission_grandEggHunt_01_140" })
        hideDialogue()

  -- THIS TAG SHOULD MATCH THE TAG IN THE OBJECTIVE
	  if not hasBuildingWithTag("tag_deco_egg_basket_pet") then
  
	  -- Show UI arrows on build menu elements
        showArrowOnLocatorSequence("locatorId_hud_buildButton", "category_locator_decorations", "build_menu_item_locator_building_deco_egg_basket_pet")

    -- Build menu arrows are now shown so flag local variable to true
        buildMenuArrows = true

    end

end

function mission:outro()

  -- If build menu arrows are shown they need to be hidden    
    if buildMenuArrows then
      buildMenuArrows = false

	-- Hide UI arrows on build menu elements
   		hideArrowOnLocatorSequence("locatorId_hud_buildButton", "category_locator_decorations", "build_menu_item_locator_building_deco_egg_basket_pet")

    -- Dialog keani
        showDialogueRight({ characterKey = "moppet", textKey = "mission_grandEggHunt_02_100", tone = "fact" })
        
        showDialogueLeft({ characterKey = "edwyn", textKey = "mission_grandEggHunt_02_110" })
        showDialogueRight({ characterKey = "moppet", textKey = "mission_grandEggHunt_02_120" })
        showDialogueLeft({ characterKey = "edwyn", textKey = "mission_grandEggHunt_02_130" })
        showDialogueLeft({ characterKey = "henry", textKey = "mission_grandEggHunt_02_140" })
        showDialogueLeft({ characterKey = "edwyn", textKey = "mission_grandEggHunt_02_150" })
        showDialogueRight({ characterKey = "moppet", textKey = "mission_grandEggHunt_02_160" })
        showDialogueLeft({ characterKey = "henry", textKey = "mission_grandEggHunt_02_170" })
        hideDialogue()

    end

end
