function hasBuildingWithTag(tag)
	 local playerFacade = demandManager("VillageManager"):getViewingPlayerFacade()
	 return playerFacade:getVillageFacade():getCountOfEntitiesWithTag(tag) > 0
end

local treasureChestArrows = false

function mission:intro()

  -- THIS TAG SHOULD MATCH THE TAG IN THE OBJECTIVE
    if hasBuildingWithTag("tag_treasure_chest_keani") then

    -- Limit player interaction to this building type
        limitPickingToBuildingsWithTag("tag_treasure_chest_keani")
        
    -- Show arrow on keani's treasure chest
        showAlertOnBuildingWithTag("arrow", "tag_treasure_chest_keani")

    -- Pan camera to keani's treasure chest
        panCameraToBuildingWithTag("tag_treasure_chest_keani")

    -- Keani's treasure chest arrows are now shown so flag local variable to true
        treasureChestArrows = true

    end

end

function mission:outro()

  -- Keani's treasure chest arrows are shown they need to be hidden    
    if treasureChestArrows then

    -- Hide arrow on keani's treasure chest
    	hideAlertOnBuildingWithTag("arrow", "tag_treasure_chest_keani")

    -- Remove Limited player interaction to this building type
        removeBuildingPickingLimitation("tag_treasure_chest_keani")

    -- Play dialog from relationship_woman_lvl_2.scene.lua (now empty) so that we can hide the chest arrow as soon as the player collects it
        showDialogueLeft({ characterKey = "keani", textKey = "relationship_woman_1_100", tone = "excited" })
        showDialogueLeft({ characterKey = "keani", textKey = "relationship_woman_1_110" })
        showDialogueLeft({ characterKey = "keani", textKey = "mission_angelfish_ftue_350" })
        hideDialogue()

	end

end